#ifndef PLANELIST_H_
#define PLANELIST_H_

#include <vector>
#include "Type.h"
#include "PlaneData.h"

namespace airobots {

class PlaneList : public Type, public std::vector<PlaneData> {

public:

	PlaneList();
	PlaneList(std::string generator);
	virtual ~PlaneList();

	static std::string getBaseTag();
	static std::string getTemplate();

	void sanitizeLocation(xmltio::Location&) const;
	void fillInto(xmltio::Location &loc) const;
	static void fromLocation(const xmltio::Location &loc, PlaneList &type);

};

}

#endif /* PLANELIST_H_ */
