/*
 * FaceIdentificationListTest.cpp
 *
 *  Created on: Nov 17, 2010
 *      Author: ltwardon
 */

#include <boost/test/unit_test.hpp>
#include <boost/test/floating_point_comparison.hpp>

#include <iostream>

#include <sys/time.h>
#include <time.h>

#include "btl/FaceIdentificationList.h"
#include "utils.h"

using namespace airobots;
using namespace std;
using namespace xmltio;

BOOST_AUTO_TEST_SUITE(FaceIdentificationListTest)

BOOST_AUTO_TEST_CASE(testFileCompatibility)
{
	Location fileContents(readFile("FaceIdentificationList.xml"), FaceIdentificationList::getBaseTag());
	cout << fileContents.getDocumentText(true) << endl;
	FaceIdentificationList parsed = extract<FaceIdentificationList>(fileContents);

	BOOST_REQUIRE_EQUAL(4, parsed.size());
}

BOOST_AUTO_TEST_SUITE_END()
