/*
 * Ticked.cpp
 *
 *  Created on: Aug 6, 2009
 *      Author: jwienke
 */

#include "Ticked.h"

using namespace xmltio;

namespace airobots {

Ticked::Ticked() {
}

MicroTimestamp Ticked::getReadTime() const {
	return readTime;
}

timeval Ticked::getReadTimeval() const {
	return readTime.getTimeval();
}

time_t Ticked::getReadTimeSeconds() const {
	return readTime.getSeconds();
}

suseconds_t Ticked::getReadTimeMicroSeconds() const {
	return readTime.getMicroSeconds();
}

void Ticked::setReadTime(timeval readTime) {
	this->readTime = MicroTimestamp(readTime);
}

void Ticked::setReadTime(MicroTimestamp readTime) {
	this->readTime = readTime;
}

}
