package de.unibi.airobots.btl.units;

/**
 * This {@link Enum} is supposed to keep track of the meaning of angle values.
 * Any methods using angle values should let the user specify if the given or
 * requested value is a radiant value or a degree value. See
 * {@link de.unibi.airobots.btl.common.Point2D} for example usage.
 * 
 * @author lziegler
 */
public enum AngleUnit {
	RADIANT, DEGREE
}
