package de.unibi.airobots.btl.data;

import static org.junit.Assert.*;
import nu.xom.Builder;
import nu.xom.Document;

import org.apache.log4j.Logger;
import org.junit.Test;

import de.unibi.airobots.btl.TestUtils;
import de.unibi.airobots.btl.common.Timestamp;

/**
 * Test cases for {@link Type}.
 * 
 * @author jwienke
 */
public class UtteranceTest {

	private Logger logger = Logger.getLogger(getClass());

	@Test
	public void selfCompatibility() throws Exception {

		// TODO serialization needed

	}

	@Test
	public void fileCompatibility() throws Exception {

		Builder parser = new Builder();
		Document doc = parser
				.build(TestUtils.makeTestFileName("Utterance.xml"));

		Utterance parsed = new Utterance();
		parsed.setLegacyParsing(true);
		Utterance.fromElement(doc.getRootElement(), parsed);
		assertEquals(doc.getRootElement().getLocalName(), Utterance
				.getBaseTag());
		
		logger.info(parsed.getSimpleString());
		
		// TODO this test is a stub

		assertEquals(new Timestamp(1257951384225l), parsed.getTimestamp());

	}

}
